трабл с mysql

Discussion in 'Linux, Freebsd, *nix' started by -Time-, 18 Jul 2009.

  1. -Time-

    -Time- Elder - Старейшина

    Joined:
    4 Mar 2007
    Messages:
    10
    Likes Received:
    23
    Reputations:
    13
    Возникла проблема при установке мускула, мои шаги:
    1) apt-get update
    2) apt-cache search mysql-server
    3) apt-get install mysql-server-5.0
    И вылетает ошибка "Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    mysql-server-5.0: Depends: mysql-client-5.0 (>= 5.0.51a-24+lenny1) but it is not going to be installed
    Depends: libdbi-perl but it is not installable
    Depends: psmisc but it is not installable
    Recommends: libhtml-template-perl but it is not installable
    E: Broken packages"
    В чем проблема? Помогите пжлст, уже 3 топик создаю, одни проблемы с сервером блин...но что поделать
    Буду оч признателен
     
  2. Peklots

    Peklots Elder - Старейшина

    Joined:
    28 Sep 2008
    Messages:
    285
    Likes Received:
    144
    Reputations:
    36
    Ну кагэбы ИМХО у тебя репозитарии не оч полные =\
    И вобще какая у вас ось?
     
    #2 Peklots, 18 Jul 2009
    Last edited by a moderator: 21 Jul 2009
  3. Dronga

    Dronga ВАША реклама ТУТ!!

    Joined:
    1 Jul 2005
    Messages:
    575
    Likes Received:
    239
    Reputations:
    249
    Скорее всего Ubuntu, возможно Debian.

    E: Broken packages означает что у тебя с пакетами не всё в порядке. Это может быть битый архив или попытка установки пакета не той версии, либо для другой ОС. Вообще откуда ставишь?

    Можно попытаться установить пакет вручную через pkg_add, правда не уверен что эта команда в твоей ОС присуствует.
     
  4. Useroff

    Useroff Elder - Старейшина

    Joined:
    23 Aug 2008
    Messages:
    146
    Likes Received:
    27
    Reputations:
    -3
    На сколько я понял, он и делает pkg_add, только команда другая.
    (pkg_add - команда в *BSD.)

    По сабжу, это баг, который бал отправлен в бак трек.
    Жди, обновляйся.
     
  5. Ex@rcist

    Ex@rcist New Member

    Joined:
    4 Sep 2009
    Messages:
    22
    Likes Received:
    3
    Reputations:
    0
    Удали пакеты которые плохо стали/их зависимости и попробуй так:
    # aptitude update (лучше использовать aptitude вместо apt-get - лучше разрешает зависимости)
    # aptitude upgrade (обновляем системные файлы/либы)
    # aptitude install mysql-server
     
Loading...